Name:		GtkAda
Version:	2.2.1
Release:	0.fdr.1.1
License:	GPL
Epoch:		0
Summary:	An Ada95 graphical toolkit based on Gtk+
Group:		System Environment/Libraries
URL:		http://libre.act-europe.fr/GtkAda/
Source:		http://libre.act-europe.fr/GtkAda/GtkAda-2.2.1.tgz
Patch:		GtkAda-pkgconfig.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  gcc-gnat, libgnat, perl, XFree86-Mesa-libGL, XFree86-Mesa-libGLU
BuildRequires:	gtk2-devel, libgnome-devel, libgnomeui-devel, bonobo-activation-devel, libbonoboui-devel, libglade2-devel

%description
GtkAda is an Ada95 graphical toolkit based on Gtk+, providing the
complete set of Gtk+ widgets using the Object-Oriented features of
this language. GtkAda supports the latest 2.2 stable releases.

%package devel
Summary:	Development files for GtkAda
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}, perl
Requires(pre,post): /sbin/install-info

%description devel
Development files for GtkAda.

%prep
%setup -q
%patch -p1

%build
%configure
# Work-around to compiler bug when compiling these files with -O
(
    mkdir -p src/lib-obj;
    cd src/lib-obj;
    gcc -c -I../ -gnatn -gnatws -fPIC -I- ../gtkada-canvas.adb
    gcc -c -I../ -gnatn -gnatws -fPIC -I- ../gtkada-mdi.adb
)
make

%install
rm -rf ${RPM_BUILD_ROOT}
%makeinstall

# make libraries executables, otherwise dependencies are not found
chmod 0755 ${RPM_BUILD_ROOT}%{_libdir}/lib*.so.*

cp -a ${RPM_BUILD_ROOT}%{_datadir} .
rm -fr ${RPM_BUILD_ROOT}%{_datadir}
cp -a ${RPM_BUILD_ROOT}%{_prefix}/doc .
rm -fr ${RPM_BUILD_ROOT}%{_prefix}/doc
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man1
(cd docs; install -m 0644 dgate.1 gate.1 gtkada-config.1 ${RPM_BUILD_ROOT}%{_mandir}/man1)

# this conflicts with gdialog from gnome-utils
rm -f ${RPM_BUILD_ROOT}%{_bindir}/gdialog

mkdir -p ${RPM_BUILD_ROOT}%{_infodir}
cp -a doc/GtkAda/gtkada_rm/*.info* ${RPM_BUILD_ROOT}%{_infodir}
cp -a doc/GtkAda/gtkada_ug/*.info* ${RPM_BUILD_ROOT}%{_infodir}

# prepare documentation in separate directory
# in order to leave doc/GtkAda untouched
rm -fr doc-install
mkdir doc-install
cp -fr doc/GtkAda/gtkada_rm doc/GtkAda/gtkada_ug doc-install
rm -f doc-install/gtkada_rm/*.info*
rm -f doc-install/gtkada_rm/*.ps
rm -f doc-install/gtkada_rm/*.tex*
rm -f doc-install/gtkada_rm/*.txt
rm -f doc-install/gtkada_ug/*.info*
rm -f doc-install/gtkada_ug/*.ps
rm -f doc-install/gtkada_ug/*.tex*
rm -f doc-install/gtkada_ug/*.txt

%clean
rm -rf ${RPM_BUILD_ROOT}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post devel
/sbin/install-info %{_infodir}/gtkada_rm.info %{_infodir}/dir 2>/dev/null || :
/sbin/install-info %{_infodir}/gtkada_ug.info %{_infodir}/dir 2>/dev/null || :

%postun devel
if [ $1 = 0 ]; then
  /sbin/install-info --delete %{_infodir}/gtkada_rm.info %{_infodir}/dir 2>/dev/null || :
  /sbin/install-info --delete %{_infodir}/gtkada_ug.info %{_infodir}/dir 2>/dev/null || :
fi

%files
%defattr(-,root,root,-)
%{_libdir}/lib*.so.*
%doc AUTHORS COPYING README

%files devel
%defattr(-,root,root,-)
%{_bindir}/*
%{_includedir}/gtkada
%{_libdir}/lib*.a
%{_libdir}/lib*.so
%{_mandir}/man*/*
%{_infodir}/*
%doc share/gtkada/examples
%doc doc-install/*
%doc known-problems

%changelog
* Fri Nov 21 2003 Gerard Milmeister <gemi@bluewin.ch> - 0:2.2.1-0.fdr.1
- New Version 2.2.1

* Mon Nov 10 2003 Gerard Milmeister <gemi@bluewin.ch> - 0:2.2.0-0.fdr.5
- Work around to compiler bug

* Tue Oct 28 2003 Gerard Milmeister <gemi@bluewin.ch> - 0:2.2.0-0.fdr.3
- Better placing of documentation files

* Mon Oct 27 2003 Gerard Milmeister <gemi@bluewin.ch> - 0:2.2.0-0.fdr.2
- Improved specfile

* Sun Oct 26 2003 Gerard Milmeister <gemi@bluewin.ch> - 0:2.2.0-0.fdr.1
- First Fedora release
